* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

body {
	background-color: #E5E5E5;
	font-family: "Montserrat", "Arial", sans-serif;
	font-size: 16px;
	line-height: 20px;
	font-weight: 400;
	color: #AE7C78;
	padding: 0;
	margin: 0;
	box-sizing: border-box;
}

.visually-hidden {
	position: absolute;
	width: 1px;
	height: 1px;
	margin: -1px;
	padding: 0;
	overflow: hidden;
	border: 0;
	clip: rect(0 0 0 0)
}

.Botanika__wrapper {
	max-width: 1440px;
	min-width: 320px;
	background-color: #ffffff;
	margin: 0 auto;
	font-size: inherit;
}

.header {
	box-sizing: border-box;
	min-height: 90px;
	padding-top: 26px;
}

.nav {
	position: relative;
	border-top: 1px solid #AE7C78;
	border-bottom: 1px solid #AE7C78;
}

.content__wrapper--header {
	min-height: 64px;
	display: flex;
	gap: 20px;
	justify-content: space-between;
}

.main__logo {
	align-items: center;
	display: flex;
}

.logo__img {
	fill: #AE7C78;
	width: 100px;
	height: 30px;
	vertical-align: middle;
}

.nav__list {
	display: flex;
	justify-content: right;
	align-content: center;
	font-size: inherit;
	list-style: none;
	padding: 0;
	flex-wrap: wrap;
	min-height: 64px;
	gap: 50px;
	text-align: right;
}

.nav__item {
	overflow: hidden;
}

.nav__link {
	position: relative;
	text-decoration: none;
	font-family: inherit;
	font-size: inherit;
	color: inherit;
	overflow: hidden;
}

.nav__link:after {
	content: '';
	position: absolute;
	width: 100%;
	height: 1px;
	background-color: #AE7C78;
	left: 0;
	bottom: -1px;
	overflow: hidden;
}

.line {
	overflow: hidden;
}

.line:after {
	transform: translateX(-100%);
}

.line.in:after {
	animation: line-in 1s ease-in-out 1 normal forwards;
}

.line.out:after {
	animation: line-out 1s ease-in-out 1 normal forwards;
}

@keyframes line-in {
	0% {
		transform: translateX(-100%);
	}
	100% {
		transform: translateX(0);
	}
}

@keyframes line-out {
	0% {
		transform: translateX(0);
	}
	100% {
		transform: translateX(200%);
	}
}

.content__wrapper {
	width: 83%;
	margin: 0 auto;
}

.content__main {
	/*min-height: 444px;*/
	margin-top: 82px;
	margin-bottom: 48px;
	display: flex;
	justify-content: space-between;
}

.content__text {
	max-width: 384px;
	min-width: 30%;
	margin-right: 23px;
}

.main__caption,
.discount__title {
	font-family: "Playfair Display", "Times New Roman", serif;
	font-size: 275%;
	font-weight: 400;
	line-height: 59px;
	margin-bottom: 24px;
}

.main__caption {
	margin-top: 0;
}

.main__caption--italic {
	font-style: italic;
	display: block;
}

.main__desc {
	font-family: inherit;
	font-size: 150%;
	font-weight: 400;
	line-height: 29px;
	margin-bottom: 64px;
}

.btn {
	display: block;
	color: #ffffff;
	font-family: inherit;
	font-size: inherit;
	font-weight: 400;
	box-sizing: border-box;
	padding: 30px 0;
	text-align: center;
	background-color: #D89999;
	width: 285px;
	min-height: 80px;
	border-radius: 40px;
	text-decoration: none;
	transition: all 0.5s ease-in-out;
}

.btn:hover {
	transform: scale(1.1);
	opacity: 0.8;
	color: #772626;
	animation-name: increase;
	animation-duration: 1.3s;
	animation-iteration-count: infinite;
	animation-direction: alternate-reverse;
}

@keyframes increase {
	to {
		transform: scale(1.0);
	}
}

@keyframes decrease {
	50% {
		transform: scale(1.0);
	}
	to {
		transform: scale(1.1);
	}
}

@keyframes color--red {
	to {
		color: darkred;
	}
}

@keyframes color--white {
	to {
		color: #ffffff;
	}
}

.main__link {
	max-width: 285px;
}

.main__img {
	text-align: center;
	border-radius: 10px;
	max-width: 387px;
	width: 30%;
	min-height: 300px;
}

.main__img img {
	width: 100%;
	height: auto;
}

.main__img--bot {
	margin: 0;
	margin-top: 66px;
	width: 386px;
	margin-right: 20px;
}

.main__img--top {
	margin: 0;
	margin-top: 15px;
	width: 387px;
}

.benefits {
	min-height: 108px;
	margin-bottom: 75px;
}

.benefits__list,
.steps__list {
	list-style: none;
	display: flex;
	justify-content: space-between;
	margin: 0;
	padding: 0;
}

.benefits__item {
	display: flex;
	max-width: 385px;
	min-width: 31.5%;
}

.benefits__text {

}

.benefits__delivery::before {
	content: url(../img/benefits__delivery.svg);
	display: block;
	width: 82px;
	height: 52px;
	margin-right: 20px;
}

.benefits__bouquet:before {
	content: url(../img/benefits__bouquet.svg);
	display: block;
	width: 34px;
	height: 52px;
	margin-right: 20px;
}

.benefits__photo:before {
	content: url(../img/benefits_photo.svg);
	display: block;
	width: 59px;
	height: 52px;
	margin-right: 20px;
}

.benefits_subTitle,
.steps__subTitle {
	font-weight: 500;
	margin: 0;
	margin-bottom: 8px;

}

.slider {
	max-width: 66.2%;
	min-width: 668px;
	min-height: 546px;
	margin: 0 auto;
	margin-bottom: 65px;
}

.slider__card {
	display: grid;
	column-gap: 10px;
	grid-template-columns: 1fr 387px;
}

.slider__card--none {
	transition: all 0.5s ease-in-out;
	transform: translateX(-100%);

	opacity: 0;
}

.slider__title,
.catalog__item_title,
.steps__title,
.news__title,
.reviews__title,
.contacts__title {
	font-family: "Playfair Display", "Times New Roman", serif;
	font-size: 225%;
	font-weight: 700;
	line-height: 48px;
	margin: 0;
	margin-bottom: 36px;
}

.slider__card_text {
	min-width: 285px;
}

.slider__title {
	text-align: center;
}

.slider__card_title,
.slider__card_price {
	font-weight: 500;
	font-size: 24px;
	margin-bottom: 20px;
	line-height: 29px;
}

.slider__card_title {
	margin-top: 27px;
	margin-bottom: 20px;
}

.slider__card_btn {
	margin-bottom: 95px;
}

.slider__card_desc,
.slider__card_size {
	margin-bottom: 24px;
}

.slider__card_price {

	margin-bottom: 64px;
}

.slider__card_photo {

}

.slider__btn {
	display: inline-block;
	text-align: center;
	position: relative;
	width: 50px;
	height: 22px;
	background-color: transparent;
	cursor: pointer;
	border: none;
	transition: all 0.5s ease-in-out;
}

.arrow__forward:hover {
	transform: translateX(10px);
}

.arrow__back:hover {
	transform: rotate(180deg) translateX(35px);
}

.arrow {
	border-radius: 1px;
	position: absolute;
	top: 10px;
	right: 0px;
	display: block;
	width: 50px;
	height: 2px;
	background-color: #AE7C78;
}

.arrow__back {
	left: -35px;
	margin-left: 50%;
	margin-right: 20px;
	transform: rotate(180deg) translateX(50%);
}

.arrow__forward {
	right: 60px;
}

.arrow::before {
	position: absolute;
	content: '';
	top: -3px;
	right: -1px;
	display: block;
	border-radius: 1px;
	width: 10px;
	height: 2px;
	background-color: #AE7C78;
	transform: rotate(45deg);
}

.arrow::after {
	position: absolute;
	content: '';
	top: 3px;
	right: -1px;
	display: block;
	border-radius: 1px;
	width: 10px;
	height: 2px;
	background-color: #AE7C78;
	transform: rotate(-45deg);
}

.catalog {
	margin-bottom: 80px;

	position: relative;
}

.catalog__list {
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
	margin: 0;
	padding: 0;
	list-style: none;
}

.catalog__item {
	width: 32%;
	display: block;
	position: relative;
	overflow: hidden;
	border-radius: 10px;
}

.catalog__item_link {
	border: 1px solid transparent;
	display: block;
	border-radius: 10px;
	height: 442px;
	text-decoration: none;
	color: #ffffff;
	transition: all 0.5s ease-in-out;
}

.catalog__item_link:hover {
	transform: scale(1.1);
	color: rgba(255, 255, 255, 0.7);
	font-size: 90%;
}

.img__wedding {
	background: url("../img/catalog__wedding.jpg") no-repeat center;
}

.img__pion {
	background: url("../img/catalog__pion.jpg") no-repeat center;
}

.img__change {
	background: url("../img/catalog__change.jpg") no-repeat center;
}

.catalog__item_title {
	margin-top: 183px;
	margin-bottom: 0;
	text-align: center;
}

.catalog__item_desc {
	margin-top: 8px;
	text-align: center;
}

.discount {
	display: grid;
	grid-template-columns: 1fr 54%;
	box-sizing: border-box;
	min-height: 391px;
	background-color: #AE7C78;
	padding-top: 40px;
	padding-left: 8.5%;
	grid-template-areas: "title img"
	"desc img";
	margin-bottom: 80px;
}

.discount__title {
	max-width: 80%;
	color: #ffffff;
	padding: 0;
	margin: 0;
	margin-bottom: 24px;
	grid-area: title;
}

.discount__desc {
	font-size: 150%;
	line-height: 29px;
	color: #ffffff;
	max-width: 387px;
	margin-right: 7%;
	margin-bottom: 64px;
	grid-area: desc;
}

.discount::after {
	content: '';
	grid-area: img;
	margin-top: -40px;
	max-width: 590px;
	min-width: 50%;
	order: 2;
	background: url(../img/discount_img.jpg) no-repeat bottom;
}

.discount__img {
	grid-area: img;
	margin-top: -40px;
	max-width: 100%;
}

.steps {
	margin-bottom: 80px;
}

.steps__list {
	text-align: center;
}

.steps__card {
	width: 285px;
	min-width: 24%;
}

.steps__title {
	text-align: center;
}

.steps__card--order::before {
	content: url(../img/steps__1.svg);
	display: block;
	width: 66px;
}

.steps__card--details::before {
	content: url(../img/steps__2.svg);
	display: block;
	width: 37px;
}

.steps__card--payment::before {
	content: url(../img/steps__3.svg);
	display: block;
	width: 70px;
}

.steps__card--delivery::before {
	content: url(../img/steps__4.svg);
	display: block;
	width: 82px;
}

.steps__card--order::before,
.steps__card--details::before,
.steps__card--payment::before,
.steps__card--delivery::before {
	display: block;
	height: 52px;
	margin: 0 auto;
	margin-bottom: 8px;
}

.news {
	grid-template-columns: 1fr 285px 387px;
	grid-template-rows: 220px 220px;
	display: grid;
	margin-bottom: 80px;
	gap: 20px;
	overflow: hidden;
}

.news__title {
	margin-bottom: 40px;
}

.news_desc {
	font-size: 150%;
	line-height: 29px;
	margin-bottom: 40px;
}

.news__text {
	grid-column-start: 1;
	grid-row-start: 1;
	grid-row-end: 3;
	width: 387px;
	min-width: 27%;
	margin: auto 0;
}

.news__img {
	margin-left: auto;
	width: 100%;

	height: auto;
	overflow: hidden;
}

.news__img--bot,
.news__img--top {
	max-width: 285px;
}

.news__img--top {
	grid-column-start: 2;
	grid-row-start: 1;
}

.news__img--bot {
	grid-column-start: 2;
	grid-row-start: 2;
}

.news__img--right {
	overflow: hidden;
	grid-column-start: 3;
	grid-row-start: 1;
	grid-row-end: 3;
}

.reviews {
	margin-bottom: 80px;
	padding-top: 40px;
	padding-bottom: 64px;
	text-align: center;
	border: 1px solid #AE7C78;
}

.reviews__title {
	margin: 0 auto;
	margin-bottom: 40px;
}

.reviews__list {
	display: flex;
	justify-content: space-around;
	list-style: none;
}

.reviews__card {
	width: 300px;
	min-height: 31%;
}

.reviews__text {
	margin-bottom: 16px;
}

.reviews__name {
	font-weight: 500;
}

.contacts {
	height: 644px;
	position: relative;
	background: url(../img/map.jpg) no-repeat bottom;
}

.map__img {
	width: 100%;
	height: auto;
}

.contacts__block {
	position: absolute;
	z-index: 2;
	top: 52px;
	left: 122px;
	width: 386px;
	background-color: rgba(247, 250, 252, 0.8);
	box-shadow: 0px 4px 40px rgba(217, 217, 217, 0.3);
	border-radius: 12px;
	padding-top: 40px;
	padding-left: 35px;
	padding-bottom: 65px;
}

.contacts__value {
	font-weight: 500;
}

.contacts__subtitle {
	margin-bottom: 14px;
}

.contacts__value {
	margin-bottom: 30px;
}

.contacts__value--link {
	display: block;
	color: #AE7C78;
	text-decoration: none;
}

.contacts__value:last-of-type {
	margin-bottom: 0;
}

.footer {
	background-color: #AE7C78;
	min-height: 97px;
}

.footer__wrapper {
	margin: 0 auto;
	width: 83%;
	display: flex;
	justify-content: space-between;
	gap: 100px;
}

.nav__list--footer {
	color: #ffffff;
	max-width: 795px;
	min-height: 20px;
	width: 80%;
}

.nav__list.nav__list--footer {
	justify-content: space-between;
	gap: 40px;
}

.nav__item--footer {
	margin: 0;
	margin-left: 0;
	margin-right: 1%;
}

.nav__item--footer:nth-of-type(4),
.nav__item--footer:nth-of-type(2n+3) {
	margin-left: 0;
	margin-right: 1%;
}

.nav__item:last-of-type {
	margin-right: 0;
}

.footer .nav__link:after {
	background-color: #ffffff;
}

.social__list {
	flex-wrap: wrap;
	margin-top: 30px;
	margin-bottom: 30px;
	display: flex;
	justify-content: space-between;
	list-style: none;
	width: 97px;
	min-height: 20px;
}

.news .social__list {
	margin-bottom: 35px;
}

.social__item {
	margin-bottom: 5%;
}

.social__item:not(.social__item:nth-of-type(3n)) {
	margin-right: 5%;
}

.social__link {
	display: block;
	height: 20px;
	fill: #D89999;
	transition: all 1s ease-in-out;
}

.footer .social__link {
	fill: #ffffff;
}

.social__link:hover {
	opacity: 0.8;
}

.social__link--inst {
	width: 20.2px;
}

.social__link--fb {
	width: 11.5px;
}

.social__link--twit {
	width: 25.76px;
}


@media (max-width: 1280px) {
	.news {
		gap: 15px;
	}

	.header {
		padding-top: 20px;
	}

	.nav__list {
		gap: 35px;
	}

	.nav__list.nav__list--footer {
		gap: 25px;
		justify-content: space-between;
	}

	.content__wrapper {
		width: 87%;
	}

	.nav__list {
		font-size: 95%;
	}

	.content__main {
		margin-top: 60px;
	}

	.content__text {
		max-width: 330px;
		font-size: 85%;
	}

	.main__img--bot {
		margin-right: 10px;
	}

	.benefits__list {
		gap: 10px;
	}

	.news__text {
		max-width: 330px;
	}

	.discount {
		font-size: 90%;
		padding-left: 50px;
	}

	.footer__wrapper {
		gap: 55px;
	}
}

@media (max-width: 1024px) {
	.header {
		padding-top: 16px;
	}

	.nav__list {
		gap: 20px;
		font-size: 90%;
	}

	.content__wrapper {
		width: 89%;
	}

	.content__main {
		margin-top: 30px;
		justify-content: center;
		gap: 40px;
	}

	.main__img--bot {
		display: none;
	}

	.content__text {
		display: flex;
		flex-direction: column;
		justify-content: center;
	}

	.benefits__item {
		flex-direction: column;
		align-items: center;
		text-align: center;
		gap: 15px;
	}

	.catalog__list {
		gap: 40px;
		justify-content: center;
	}

	.catalog__item {
		min-width: 363px;
	}

	.discount {
		font-size: 80%;
		padding-left: 50px;
	}

	.discount__title {
		line-height: 40px;
	}

	.steps__list {
		flex-wrap: wrap;
		justify-content: center;
		gap: 50px;
	}

	.news {
		font-size: 90%;
		grid-template-columns: 1fr 1fr;
		gap: 15px;
		margin-bottom: 50px;
		padding: 0;
	}

	.news__title {
		line-height: 40px;
	}

	.news__text {
		max-width: 330px;
	}

	.news__img--top,
	.news__img--bot {
		display: none;
		display: none;
	}

	.news__img--right {
		grid-column-start: 2;
		grid-row-start: 1;
		grid-row-end: 2;
	}

	.reviews {
		padding: 30px;
	}

	.reviews__list {
		flex-direction: column;
		flex-wrap: wrap;
		gap: 40px;
	}

	.reviews__card {
		margin: 0 auto;
		width: 90%;
	}

	.reviews__name {
		text-align: right;
	}

	.contacts__block {
		position: absolute;
		top: 52px;
		left: 62px;
		width: 300px;
		padding-top: 40px;
		padding-left: 35px;
		padding-bottom: 65px;
	}

	.nav__list--footer {
		display: none;
	}

	.footer {
		min-height: 80px;
	}
}

#menu__toggle,
.menu__btn {
	display: none;
}

@media (max-width: 860px) {
	/*#menu__toggle:checked + body {
		overflow: hidden;
	}*/
	.header {
		padding-top: 16px;
	}

	.content__wrapper--header {
		min-height: 58px;
		position: relative;
	}

	.content__main {
		gap: 15px;
	}

	.content__text {
		max-width: 330px;
		gap: 5px;
	}

	.main__desc {
		font-size: 130%;
	}

	.main__img {
		max-width: 330px;
	}

	.main__caption, .discount__title {
		line-height: 45px;
	}

	.benefits {
		margin-bottom: 50px;
	}

	.catalog__list {
		gap: 20px;
	}

	.catalog__item {
		min-width: 330px;
	}

	.nav__list {
		font-size: 100%;
	}

	.line:after {
		display: none;
	}

	#menu__toggle,
	.menu__btn {
		display: block;
	}

	.nav__list {
		display: block;
		position: fixed;
		z-index: 5;
		visibility: hidden;
		top: 0;
		right: -100%;
		overflow: auto;

		width: 40%;
		min-width: 350px;
		height: 100%;

		margin: 0;
		padding-top: 90px;
		padding-bottom: 30px;

		list-style: none;

		background-color: rgba(229, 229, 229, 0.97);
		box-shadow: 1px 0px 6px rgba(0, 0, 0, .2);

		transition-duration: 0.25s;
	}

	.nav__item {
		display: block;
		padding: 12px 47px;
		margin-right: 0;

		text-decoration: none;

		transition-duration: 0.25s;
	}

	.nav__item:last-of-type {
		margin-right: 0;
	}

	.nav__item:hover {
		background-color: #CFD8DC;
	}

	#menu__toggle {
		opacity: 0;
	}

	#menu__toggle:checked ~ .menu__btn > span {
		transform: rotate(45deg);
	}

	#menu__toggle:checked ~ .menu__btn > span::before {
		top: 0;
		transform: rotate(0);
	}

	#menu__toggle:checked ~ .menu__btn > span::after {
		top: 0;
		transform: rotate(90deg);
	}

	#menu__toggle:checked ~ .nav__list {
		right: 0;
		visibility: visible;
	}

	.menu__btn {
		display: flex;
		align-items: center;
		position: absolute;
		top: 14px;
		right: 0;

		width: 26px;
		height: 26px;

		cursor: pointer;
		z-index: 6;
	}

	.menu__btn > span,
	.menu__btn > span::before,
	.menu__btn > span::after {
		display: block;
		position: absolute;

		width: 100%;
		height: 2px;

		background-color: #AE7C78;

		transition-duration: 0.25s;
	}

	.menu__btn > span::before {
		content: '';
		top: -8px;
	}

	.menu__btn > span::after {
		content: '';
		top: 8px;
	}
}

@media (max-width: 750px) {
	.content__main {
		margin-top: 15px;
		gap: 10px;
		flex-wrap: wrap;
		position: relative;
	}

	.main__link {
		position: absolute;
		bottom: 0;
		left: 15%;
		max-width: 70%;
	}

	.main__caption,
	.discount__title {
		line-height: 37px;
		margin-bottom: 15px;
	}

	.main__img--bot,
	.main__img--top {
		display: inline-block;
		margin-right: 0;
		margin-top: 0;
		margin-bottom: 85px;
		max-width: 45%;
		min-width: 35%;
		overflow: hidden;
	}

	.main__img--bot {
		margin-top: 30px;
	}

	.main__img {
		/*max-height: 250px;*/
		min-height: auto;
	}

	.content__text {
		min-width: 90%;
		grid-area: text;
		font-size: 80%;
	}

	.main__desc {
		margin-bottom: 0;
	}

	.benefits__list {
		flex-direction: column;
		align-items: center;
		gap: 30px;
	}

	.slider {
		min-width: 100%;
		width: 100%;

	}

	.slider__card {
		display: flex;
		flex-direction: column-reverse;
		align-items: center;
	}

	.slider__card_photo {
		max-width: 387px;
		width: 100%;
		height: auto;
	}

	.slider__card_text {
		text-align: center;
		font-size: 90%;
	}

	.btn {
		margin: 0 auto;
		width: 70%;
		min-height: 45px;
		font-size: 130%;
		padding: 25px 10px;
	}

	.slider__title,
	.slider__card_title,
	.slider__card_desc,
	.slider__card_btn,
	.slider__card_size,
	.slider__card_price {
		margin-bottom: 15px;
	}

	.slider__card_size {
		display: none;
	}

	.catalog__item {
		min-width: 380px;
	}

	.discount {
		display: flex;
		flex-direction: column;
		padding: 35px;
	}

	.discount__desc {
		width: 100%;
		max-width: 100%;
	}

	.discount__title,
	.discount__desc {
		margin-bottom: 20px;
	}

	.discount__desc {
		margin-bottom: 60px;
	}

	.discount::after {
		margin: -35px;
		min-height: 280px;
		height: 280px;
		max-width: calc(100% + 70px);
		background: url(../img/discount_img.jpg) no-repeat center;
	}

	.news {
		display: flex;
		flex-wrap: wrap;
		justify-content: space-between;
		align-items: center;
	}

	.news__text {
		width: 100%;
		max-width: 100%;
	}

	.news__img--top,
	.news__img--bot {
		display: inline-block;
		max-width: 295px;
		width: 47%;
		height: auto;
		min-width: 40%;
		margin: 0;
	}

	.news__img--right {
		display: none;
	}

	.news__title,
	.news_desc,
	.social__list {
		margin-bottom: 20px;
	}

	.contacts__block {
		display: none;
	}

	.reviews,
	.news,
	.steps,
	.discount,
	.catalog,
	.slider,
	.benefits,
	.content__main {
		margin-bottom: 50px;
	}
}

@media (max-width: 560px) {
	.nav__list {
		width: 100%;
	}

	.content__text {
		text-align: center;
	}

	.main__img {
		margin-bottom: 90px;
	}

	.main__img--bot {
		display: none;
		width: 100%;
	}

	.main__img--top {
		width: 90%;
		max-width: 387px;
		max-height: 350px;
	}

	.btn {
		min-width: 80%;
		left: 10%;
	}

	.catalog__item {
		width: 100%;
		min-width: 280px;
	}

	.news__text {
		text-align: center;
	}

	.news .social__list {
		margin: 20px;
		margin-left: auto;

	}

	.news__img--top,
	.news__img--bot {
		display: none;
	}

	.news__img--right {
		display: block;
		max-width: 387px;
		width: 100%;
		margin: 0 auto;
		height: auto;
		border-radius: 10px;
	}
}

@media (max-width: 420px) {
	.main__img--top {
		width: 100%;
		max-width: 387px;
		max-height: 350px;
	}

	.btn {
		min-width: 100%;
		left: 0;
	}

	.steps__card {
		width: 100%;
	}

	.reviews {
		padding: 20px;
	}

	.reviews__card {
		width: 100%;
	}
}